Kerbal Space Program - Bug #6967

NullReferenceException: Phantom Acceleration, Claw Glitches, Frozen Vessels
02/14/2016 07:25 PM - Kasuha
Description

This is follow-up for #5150 - the issue is marked as resolved, but it apparently isn't.
Scenario preceding the quicksave:

| accepted contract to recover a Kerbal and their hulk from surface of Minmus. | sent a rover with a Claw, boarded the Kerbal, picked
the command pod, and launched. Then | tried to better balance the command pod on the Claw.

After detaching the Claw, the command pod was free and | was able to change position of the rover, but | wasn't able to disarm the
Claw - available action was still Release. After pressing the button again, the decoupled command pod gained phantom acceleration
upwards.

Time warp makes the command pod freeze in place.
Reproduction steps:

load the attached quicksave

right-click on the Claw

click the Release button

click the Release button again

press ] to switch to the command pod
wait until it rises above 3000 m altitude
enter standard time warp

The command pod cannot be reattached to the rover even without pressing the Release button for the second time.
First abnormal message in log is this:

NullReferenceException: Object reference not set to an instance of an object
at ModuleGrappleNode.Release () [0x00000] in <filename unknown>:0

at BaseEvent.Invoke () [0x00000] in <filename unknown>:0

at UIPartActionButton.OnClick () [0x00000] in <filename unknown>:0

It is then followed by large amount of these messages:
ArgumentOutOfRangeException: Argument is out of range.

Parameter name: index

at System.Collections.Generic.List" 1[Flightintegrator+OcclusionData].get_Item (Int32 index) [0x00000] in <filename unknown>:0
at FlightIntegrator.UpdateOcclusionSolar () [0x00000] in <filename unknown>:0

at Flightintegrator.UpdateOcclusion () [0x00000] in <filename unknown>:0

at FlightIntegrator.FixedUpdate () [0x00000] in <filename unknown>:0

History

#1 - 02/14/2016 10:28 PM - Kasuha

Since the way how exactly the claw got attached to the rover is complex and may be related to the bug (see #6010), I'll describe it here:

e decoupled from its lifter together with several other parts as piece of debris (no command pod or probe core)
another part then docked to a docking part on the other side of these parts (docking port on back of the claw still remains attached from VAB)
this ship then used the claw to attach itself to a station (with Station icon)

the docking port on the back of the Claw (still attached from VAB) was then decoupled, separating the ship from the station again

the rover then docked to the docking port at the Claw's back and released the Claw

then the rover flew to the site and used the Claw to grab the pod

#2 - 02/15/2016 10:22 PM - Kasuha

| tried to reproduce the behavior using rovers on runway but that attempt failed.

On the other hand, while | failed trying to recover the claw from the state by undocking it and restarting the game (it remained in locked state
permanently with no available action), after docking the rover to the station and re-docking the claw to another port it suddenly remedied itself.

It seems very likely to me the situation is related to docking and that complexity or part count of ships involved may play role.

#3 - 07/17/2016 09:44 AM - TriggerAu

- Status changed from New to Needs Clarification

Files

quicksave.sfs 2.3 MB 02/14/2016 Kasuha
KSP.log 806 KB 02/14/2016 Kasuha
output_log.txt 1.37 MB 02/14/2016 Kasuha
